import request from '@/utils/request'

// 查询考试题目答案选项列表
export function listExamSubjectAnswer(query) {
  return request({
    url: '/hezhi/examSubjectAnswer/list',
    method: 'get',
    params: query
  })
}

// 查询考试题目答案选项详细
export function getExamSubjectAnswer(examSubjectAnswerId) {
  return request({
    url: '/hezhi/examSubjectAnswer/' + examSubjectAnswerId,
    method: 'get'
  })
}

// 新增考试题目答案选项
export function addExamSubjectAnswer(data) {
  return request({
    url: '/hezhi/examSubjectAnswer',
    method: 'post',
    data: data
  })
}

// 修改考试题目答案选项
export function updateExamSubjectAnswer(data) {
  return request({
    url: '/hezhi/examSubjectAnswer',
    method: 'put',
    data: data
  })
}

// 删除考试题目答案选项
export function delExamSubjectAnswer(examSubjectAnswerId) {
  return request({
    url: '/hezhi/examSubjectAnswer/' + examSubjectAnswerId,
    method: 'delete'
  })
}
